{ pkgs ? import <nixpkgs> { } }:

pkgs.mkShell {
  buildInputs = with pkgs; [
    # rust
    cargo
    cargo-watch
    rustc
    rust-analyzer
    rustfmt

    # system
    pkg-config
    openssl
    cmake

    # dhall
    dhall
    dhall-json

    jo
  ];

  RUST_LOG = "info";
  RUST_SRC_PATH = "${pkgs.rustPlatform.rustLibSrc}";
}
